## transaction 3.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/transaction.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/transaction.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/transaction"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/transaction"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## transaction 1.1.1

=== debian/changelog ===
transaction (1.1.1-2) unstable; urgency=low

  * Team upload.
  * debian/clean: remove to make sure all files are installed.
  * debian/source/options: ignore .egg-info directory.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 08 Nov 2011 22:50:47 +0900

transaction (1.1.1-1) unstable; urgency=low

  * Team upload.

  [ Arnaud Fontaine ]
  * debian/control: add Vcs-Browser field.
  * Add debian/clean to get rid of egg-info/* to prevent FTBFS if
    built twice.
  * debian/copyright: versioned format URL.

  [ Gediminas Paulauskas ]
  * Use dh_python2 instead of deprecated python-central. (Closes: #617131)
  * Do not use python-van.pydeb either.
  * Switch to 3.0 (quilt) source format.
  * Replaces only python-zodb (<< 3.9).

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 18 Oct 2011 00:27:31 +0900

transaction (1.1.1-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/control: build-depend on python-all (not -dev).
  * debian/copyright: update, convert to dep5 format.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 24 Mar 2011 20:55:52 +0200

transaction (1.0.0-4) unstable; urgency=low

  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 05 Jan 2010 21:47:17 +0100

transaction (1.0.0-3) unstable; urgency=low

  [ Brian Sutherland ]
  * Set priority to optional as we are depended on by python-zodb which is
    priority optional.

  [ Fabio Tranchitella ]
  * debian/control: build-depend on python-van.pydeb >= 1.3.0-2.
    (Closes: #552682)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:18:41 +0100

transaction (1.0.0-2) unstable; urgency=low

  * Set section to zope.
  * Rebuild against van.pydeb 1.3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2009 22:16:58 +0200

transaction (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.3, no changed required.
  * debian/control: added conflict with zope3.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Aug 2009 11:16:56 +0200

transaction (1.0~a1-3) unstable; urgency=low

  * Use the test_helper from python-van.testing to simplify testing script.

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 15 Jun 2009 06:09:32 +0200

transaction (1.0~a1-2) unstable; urgency=low

  * Replaces: python-zodb to smooth upgrades, the contents of of this package
    used to be in python-zodb.

 -- Brian Sutherland <brian@vanguardistas.net>  Sat, 13 Jun 2009 23:39:42 +0200

transaction (1.0~a1-1) unstable; urgency=low

  * Inital Release

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 25 May 2009 22:34:30 +0200

=== debian/control ===
Source: transaction
Section: zope
Priority: optional
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7),
               python-all (>= 2.6.6-14~),
               python-setuptools
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: http://pypi.python.org/pypi/transaction
Vcs-Svn: svn://svn.debian.org/pkg-zope/transaction/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/transaction/trunk

Package: python-transaction
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Conflicts: zope3
Replaces: python-zodb (<< 3.9)
Description: Transaction management for Python
 This package contains a generic transaction implementation for Python.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/t/transaction/transaction-(.*)\.tar\.gz

## transaction 1.4.3

=== debian/changelog ===
transaction (1.4.3-3) unstable; urgency=medium

  * Build-depend on zope.interface.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 21:10:20 +0200

transaction (1.4.3-2) unstable; urgency=medium

  * Team upload.
  * Build a python3-transaction package.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 12:29:30 +0200

transaction (1.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #706215.
  * Add autopkgtest header in source stanza. Closes: #692673.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 12:12:01 +0200

=== debian/control ===
Source: transaction
Section: zope
Priority: optional
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 8),
               dh-python,
               python-all,
               python-setuptools,
               python-zope.interface,
               python3-all,
               python3-setuptools,
               python3-zope.interface,
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Homepage: http://pypi.python.org/pypi/transaction
Vcs-Svn: svn://svn.debian.org/pkg-zope/transaction/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/transaction/trunk

Package: python-transaction
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Conflicts: zope3
Replaces: python-zodb (<< 3.9)
Description: Transaction management for Python
 This package contains a generic transaction implementation for Python.

Package: python3-transaction
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Transaction management for Python
 This package contains a generic transaction implementation for Python.

## transaction 3.0.0

=== debian/changelog ===
transaction (3.0.0-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * d/watch secure URI
  * d/control
    - Secure URI on homepage
    - Bump debhelper to 12
    - Update Standards-Version to 4.4.1
    - Add Rules-Requires-Root: no
  * Change to debhelper-compat
  * d/copyright
    - Update to correct format URI
    - Use secure URI's
  * d/rules add PYBUILD_NAME

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 01 Jan 2020 19:04:54 +0100

transaction (2.4.0-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Closes: #869444.
  * New upstream version.
  * Stop building the Python2 package. Closes: #938717.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Fri, 06 Sep 2019 12:37:35 +0200

=== debian/control ===
Source: transaction
Section: zope
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-zope.interface,
               python3-mock,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://pypi.python.org/pypi/transaction

Package: python3-transaction
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Transaction management for Python
 This package contains a generic transaction implementation for Python.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=transaction

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/t/transaction/transaction-(.*)\.tar\.gz

## transaction 4.0

=== debian/changelog ===
transaction (4.0-2) unstable; urgency=medium

  * QA upload
  * Source-only reupload

 -- Bastian Germann <bage@debian.org>  Wed, 12 Jun 2024 20:49:57 +0000

transaction (4.0-1) unstable; urgency=medium

  * QA upload
  * New upstream version 4.0
  * Import on Salsa
  * Drop dependency on python3-mock
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Apr 2024 01:20:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 12),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-zope.interface,
-               python3-mock,
 Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://pypi.python.org/pypi/transaction
+Vcs-Browser: https://salsa.debian.org/debian/transaction
+Vcs-Git: https://salsa.debian.org/debian/transaction.git
 
 Package: python3-transaction
 Section: python

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=transaction

%:
	dh $@ --buildsystem=pybuild

## transaction 5.0

=== debian/changelog ===
transaction (5.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.
  * Run tests using pytest.
  * Enable autopkgtest-pkg-pybuild.
  * Update homepage to https://github.com/zopefoundation/transaction.

 -- Colin Watson <cjwatson@debian.org>  Thu, 07 Nov 2024 00:49:01 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,17 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-pytest,
                python3-setuptools,
                python3-zope.interface,
 Standards-Version: 4.4.1
 Rules-Requires-Root: no
-Homepage: https://pypi.python.org/pypi/transaction
+Homepage: https://github.com/zopefoundation/transaction
 Vcs-Browser: https://salsa.debian.org/debian/transaction
 Vcs-Git: https://salsa.debian.org/debian/transaction.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-transaction
 Section: python

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=transaction
ifeq ($(PYBUILD_AUTOPKGTEST),1)
export PYBUILD_TEST_ARGS=/usr/lib/python3/dist-packages/transaction
endif

%:
	dh $@ --buildsystem=pybuild
